
Redmine - Defect #11077

After migrating from Mantis to RedMine 2.0 and changing tracker labels, almost all issues deleted

2012-06-02 09:25 - Justus Pieke

Status: New Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.0.0

Description

Dear all,

I am not sure if I can trust Red Mine in a live environment. We studies Red Mine migrated from Mantis to 2.0. Then implemented our

process by configuring the tracker label and workflow. After conficuring we lost all migrated issues. Does any one know what went

wrong?

Losing all commercial data in a live situation will be disaster.

When we know why the database suddenly deletes almost all items we know something but now we have no clue!

History

#1 - 2012-06-02 10:51 - Toshi MARUYAMA

- Category changed from Database to Importers

#2 - 2012-06-02 23:43 - Jean-Philippe Lang

- Resolution set to Cant reproduce

#3 - 2012-06-10 02:09 - William Conley

At what point (precisely) did the data get deleted? Can you duplicate this and state what step of the "configuration" caused the deletion? Also, can

you confirm the data in the database and then confirm its deletion at a specific stage or "time"?

#4 - 2021-11-16 13:27 - C S

Since the last entry in this ticket was 9 years ago and it concerns a version that is no longer supported, I guess it could be closed;)

#5 - 2022-11-18 06:12 - zaid mughalsab

In a real setting, I'm unsure if I can trust Red Mine. We looked into Red Mine when it switchedfrom Mantis to 2.0. The tracker label and workflow were

then configured to put our method into practise. After conficuring, all transferred problems were gone. Anyone with knowledge of the problem?It would

be disastrous to lose all commercial data in an operational setting.We'll know something when we figure out why the database deletes practically all

of its objects at once, but for now we're at a loss.
